
TYPO3.Flow - Bug # 46076

Status: Resolved Priority: Should have
Author: Christian Müller Category:
Created: 2013-03-06 Assigned To: Adrian Föder
Updated: 2014-06-18 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: (any)
Subject: PersistentQueryRewriteAspect doesn't work with Collections when doing IN / CONTAINS / MATCHES 

comparisons
Description

Associated revisions
Revision 9283c444 - 2014-05-26 09:32 - Adrian Föder

[BUGFIX] Support Doctrine Collections in PersistenceQueryRewriting

Security's PersistenceQueryRewritingAspect now supports also Doctrine
collection handling rather than only primitive arrays for ``in``, ``contains``
and ``matches`` operators.

Change-Id: I66d99e3177956077929ffdde796852d379880963
Releases: master, 2.2, 2.1
Fixes: #46076

Revision b4154434 - 2014-05-26 20:22 - Adrian Föder

[BUGFIX] Support Doctrine Collections in PersistenceQueryRewriting

Security's PersistenceQueryRewritingAspect now supports also Doctrine
collection handling rather than only primitive arrays for ``in``, ``contains``
and ``matches`` operators.

Change-Id: I66d99e3177956077929ffdde796852d379880963
Releases: master, 2.2, 2.1
Fixes: #46076

Revision 8623586c - 2014-06-18 22:32 - Adrian Föder

[BUGFIX] Support Doctrine Collections in PersistenceQueryRewriting

Security's PersistenceQueryRewritingAspect now supports also Doctrine
collection handling rather than only primitive arrays for ``in``, ``contains``
and ``matches`` operators.

Change-Id: I66d99e3177956077929ffdde796852d379880963
Releases: master, 2.2, 2.1
Fixes: #46076

History
#1 - 2013-03-06 19:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18761

#2 - 2013-03-07 09:10 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18761

#3 - 2013-05-10 16:03 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18761

#4 - 2014-02-24 13:52 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/18761

#5 - 2014-02-24 14:53 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/18761

#6 - 2014-05-26 09:32 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/18761

#7 - 2014-05-26 09:36 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9283c4448b15dfd544645f1386758d084ed0f44b.

#8 - 2014-05-26 20:22 - Gerrit Code Review
- Status changed from Resolved to Under Review

2015-08-04 2/3

https://review.typo3.org/18761
https://review.typo3.org/18761
https://review.typo3.org/18761
https://review.typo3.org/18761
https://review.typo3.org/18761
https://review.typo3.org/18761


Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30431

#9 - 2014-05-26 20:36 - Adrian Föder
- Status changed from Under Review to Resolved

Applied in changeset commit:b4154434384c33e835abb3ee9e0c176e915d03ee.

#10 - 2014-06-17 16:21 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30780

#11 - 2014-06-18 22:32 - Gerrit Code Review

Patch set 2 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30780

#12 - 2014-06-18 22:37 - Adrian Föder
- Status changed from Under Review to Resolved

Applied in changeset commit:8623586c6b021f5db8e96285b5c64db6c5c36938.
